<script lang="ts">
	import Logo from '$lib/Logo.svelte';
	import Darkmode from '$lib/darkmode.svelte';
</script>

<main>
	<header>
		<Logo></Logo>

		<Darkmode></Darkmode>
	</header>
	<div id="create-dialog">
		<h1>Create a new course</h1>
		<md-outlined-text-field type="text" placeholder="Couse Name"></md-outlined-text-field>
		<md-outlined-text-field type="textarea" style:min-height="4em" placeholder="Couse Description"
		></md-outlined-text-field>

		<div id="actions">
			<md-filled-button>Create</md-filled-button>
		</div>
	</div>
</main>

<style>
	main {
		padding: 1em;
	}

	header {
		display: flex;
		justify-content: space-between;
		margin-bottom: 1em;
	}

	#create-dialog {
		background-color: var(--md-sys-color-surface);
		border-radius: 1em;
		padding: 1em;
		max-width: 50ch;
		margin: 0 auto;
		display: flex;
		flex-direction: column;
		gap: 1em;
	}

	h1 {
		margin: 0;
		font-size: 1.5em;
	}

	#actions {
		text-align: end;
	}
</style>
